<template>
  <div>
    <div class="d-flex justify-content-center mt-3">
      <div class="d-flex flex-column">
        <h3>IT Fähigkeiten</h3>
      </div>
    </div>

    <div class="container">
      <div class="border p-3 mb-3" style="height: 350px">
        <div class="d-flex justify-content-center">
            <div v-if="site == 1">
                <h5 class="text-center">Allgemein</h5>
                <ol>
                <li>Guter umang mit</li>
                <ul>
                    <li>Word</li>
                    <li>Exel</li>
                    <li>PowerPoint</li>
                </ul>
                <li>Guter umgang mit Computern</li>
                </ol>
            </div>

            <div v-if="site == 2">
                <h5 class="text-center">Programmiersprachen</h5>
                <ol>
                <li>Gute Kenntnisse in Python</li>
                <li>Gute Kenntnisse in C#</li>
                <li>Gute Kenntnisse mit JavaScript</li>
                <li>Gute Kenntnisse mit SQL</li>
                </ol>
            </div>

            <div v-if="site == 3">
                <div>
                <h5 class="text-center">Markup und Stylesheetsprachen</h5>
                <ol>
                    <li>Sehr gute Kenntnisse mit HTML</li>
                    <li>Gute Kenntnisse mit CSS</li>
                </ol>
                </div>
            </div>

            <div v-if="site == 4">
                <div>
                <h5 class="text-center">Frameworks</h5>
                <ol>
                    <li>Frontend</li>
                    <ul>
                    <li>Vue js (wird auf dieser Seite verwendet)</li>
                    </ul>
                    <li>Backend</li>
                    <ul>
                    <li>Django (Python)</li>
                    <li>Flask (Python)</li>
                    </ul>
                    <li>Style</li>
                    <ul>
                    <li>Bootstrap (wird auf dieser Seite verwendet)</li>
                    </ul>
                </ol>
                </div>
            </div>

            <div v-if="site == 5">
                <div>
                <h5 class="text-center">Betriebssysteme</h5>
                    <ol>
                        <li>Gute Kenntnisse mit dem Windows Betriebssystem</li>
                        <li>Grundkenntnisse mit dem Linux Betriebssystem</li>
                    </ol>
                </div>
            </div>
        </div>
      </div>

      <div class="d-flex justify-content-center">
        <button class="btn btn-danger m-3" @click="previousSite()">Zurück</button>
        <button class="btn btn-primary m-3" @click="nextSite()">Weiter</button>
      </div>

      <div class="d-flex justify-content-center">
            <p>(Seite {{site}} von 5)</p>
      </div>
    </div>
 </div>
</template>

<script>
export default {
  name: "ItSkills",

  data() {
    return {
      site: 1,
    };
  },

  methods: {
    nextSite() {
        if (this.site < 5) {
            this.site++;
        } else {
            this.site = 1;
        }
    },

    previousSite() {
        if (this.site > 1) {
            this.site--;
        } else {
            this.site = 5;
        }
    }
  },
};
</script>